#
# spec file for package python-xxhash
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-xxhash
Version:        1.0.1
Release:        lp150.1.1
License:        BSD-2-Clause
Summary:        Python binding for xxHash
Url:            https://github.com/ifduyue/python-xxhash
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/x/xxhash/xxhash-%{version}.zip
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
# SECTION test requirements
%if %{with test}
BuildRequires:  %{python_module nose > 1.3.0}
%endif
# /SECTION
BuildRequires:  unzip
BuildRequires:  fdupes

%python_subpackages

%description
xxhash is a Python binding for the xxHash library.

%prep
%setup -q -n xxhash-%{version}

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python_sitearch}/*

%changelog
* Fri Nov 10 2017 alarrosa@suse.com
- Initial release of xxhash 1.0.1
